<?php

  class sml_users_albums extends sml_mod
  {
    var $groupes;
    var $album;
    var $user;
    var $status;
    var $album_status_id;

    function validate(&$env)
    { $data = $env->data();
      if(($this->status = $data->source_status()) !== false)
      { foreach($this->status as $id_source_status => $source_status)
        { if($source_status["nom"] == "album")
          { $this->album_status_id = $id_source_status;
            break;
          }
        }
        if(isset($this->album_status_id))
        { if($this->user = $env->user())
          { if(($this->groupes = $data->groupes($this->user["id"])) !== false)
            { $env->set_out("groupes", $this->groupes);
              if($env->etat("action") == "edit" || $env->etat("action") == "del")
              { if(($this->album = $data->source($_GET[$env->param("id")])) !== false && $this->album)
                { if(isset($this->groupes["list"][$this->album["id_groupe"]]))
                  {
                  }
                  else return "Vous n'est pas autoris&eacute; &agrave; modifier cet album";
                }
                else return "Impossible de lire les informations de l'album";
              }
              if($env->etat("action") == "add" || $env->etat("action") == "edit")
              { if(($this->licences = $data->licences()) !== false)
                { $env->set_out("licences", $this->licences);
                }
                else return "Impossible de lire la liste des licences";
              }
            }
            else return "Impossible de lire la liste des groupes";
          }
          else return "Vous devez &ecirc;tre identifier pour acc&eacute;der &agrave; cette page";
        }
        else return "Type de source inconnu: album";
      }
      else return "Impossible de lire la liste des status de source";
      return true;
    }

    function index(&$env)
    { $data = $env->data();
      $select = array();
      $select["status"] = $this->album_status_id;
      $select["id_user"] = $this->user["id"];
      $select["order_by"] = "ordre";
      $select["start"] = isset($_GET[$env->param("start")]) && $_GET[$env->param("start")] ? $_GET[$env->param("start")] : 0;
      if(isset($_GET[$env->param("groupe")]) && $_GET[$env->param("groupe")]) $select["id_groupe"] = $_GET[$env->param("groupe")];
      if(($albums = $data->sources($select)) !== false)
      { $env->set_out("albums", $albums);
        if($_POST)
        { $OK = true;
          foreach($albums["list"] as $id_album => $album)
          { if(isset($_POST["ordre_".$id_album]))
            { if
              ( ( $data->set_source
                  ( $album["id"],
                    $album["id_groupe"],
                    $album["nom"],
                    $album["documents"],
                    $album["licence"],
                    $album["reference"],
                    $album["status"],
                    array
                    ( "date_inscription" => $_POST["date_inscription"],
                      "ordre" => $_POST["ordre_".$id_album],
                      "image" => $album["image"],
                      "description" => $album["description"]
                    )
                  )
                ) === false
              )
              { $OK = false;
                break;
              }
            }
          }
          if($OK)
          { $get_params = array();
            if(isset($_GET[$env->param("groupe")]) && $_GET[$env->param("groupe")]) $get_params["groupe"] = $_GET[$env->param("groupe")];
            $env->redirect
            ( $env->url("users/albums", $get_params),
              "l'ordre des albums a &eacute;t&eacute; enregistr&eacute;"
            );
          }
          else $env->erreur("Impossible d'enregistrer l'ordre des albums");
        }
      }
      else $env->erreur("Impossible de lire la liste des albums");
    }

    function add(&$env)
    { $data = $env->data();
      if($data->check_user_uploads_dir())
      { $web_path = $env->path("web");
        $upload_dir = $env->path("content")."uploads/".$this->user["id"];
        $_SESSION["upload_dir"] = $web_path.($web_path ? "" : "/").$upload_dir;
        if($_POST)
        { if(($image = $data->upload("image", $upload_dir)) !== false)
          { $_POST["documents"] = array();
            foreach($_POST as $post_key => $post_value)
            { if(substr($post_key, 0, 13) == "document_nom_")
              { if($id_document = substr($post_key, 13))
                { $_POST["documents"][$id_document] = array
                  ( "nom" => $_POST["document_nom_".$id_document],
                    "url" => $_POST["document_url_".$id_document]
                  );
                }
              }
            }
            $env->set_out("album", $_POST);
            if(trim($_POST["nom"]))
            { if
              ( $data->add_source
                ( $_POST["groupe"],
                  $_POST["nom"],
                  $_POST["documents"],
                  $_POST["licence"],
                  null,
                  $this->album_status_id,
                  array
                  ( "date_creation" => $_POST["annee_date_creation"]."-".$_POST["mois_date_creation"]."-".$_POST["jour_date_creation"],
                    "date_inscription" => date("Y")."-".date("m")."-".date("d"),
                    "image" => $image,
                    "description" => $_POST["description"]
                  )
                )
              ) $env->redirect
              ( $env->url("users/albums"),
                "l'album a &eacute;t&eacute; ajout&eacute;"
              );
              else $env->erreur("Impossible d'ajouter l'album");
            }
            else $env->message("merci de pr&eacute;ciser un nom pour l'album");
          }
          else $env->erreur("Impossible d'uploader l'image");
        }
      }
      else $env->erreur("Impossible de creer le repertoire utilisateur");
    }

    function edit(&$env)
    { $data = $env->data();
      if($data->check_user_uploads_dir())
      { $web_path = $env->path("web");
        $upload_dir = $env->path("content")."uploads/".$this->user["id"];
        $_SESSION["upload_dir"] = $web_path.($web_path ? "" : "/").$upload_dir;
        if($env->set_out("album", $this->album))
        { $album = $env->out("album");
          if($_POST)
          { $id = $album["id"];
            $image = $album["image"];
            $_POST["documents"] = array();
            foreach($_POST as $post_key => $post_value)
            { if(substr($post_key, 0, 13) == "document_nom_")
              { if($id_document = substr($post_key, 13))
                { $_POST["documents"][$id_document] = array
                  ( "nom" => $_POST["document_nom_".$id_document],
                    "url" => $_POST["document_url_".$id_document]
                  );
                }
              }
            }
            $env->set_out("album", $_POST);
            if($_POST["del_image"])
            { if($image)
              { if(@unlink($upload_dir."/".$image)) $image = "";
                else
                { $image = false;
                  $env->erreur("Impossible d'effacer l'image");
                }
              }
              else $image = "";
            }
            else
            { if(($image = $data->upload("image", $upload_dir)) === false)
              { $env->erreur("Impossible d'uploader l'image");
                return;
              }
            }
            if($image !== false)
            { if(trim($_POST["nom"]))
              { if
                ( $data->set_source
                  ( $id,
                    $_POST["groupe"],
                    $_POST["nom"],
                    $_POST["documents"],
                    $_POST["licence"],
                    null,
                    $this->album_status_id,
                    array
                    ( "date_creation" => $_POST["annee_date_creation"]."-".$_POST["mois_date_creation"]."-".$_POST["jour_date_creation"],
                      "date_inscription" => date("Y")."-".date("m")."-".date("d"),
                      "ordre" => $this->album["ordre"],
                      "image" => $image,
                      "description" => $_POST["description"]
                    )
                  )
                ) $env->redirect
                ( $env->url("users/albums"),
                  "l'album a &eacute;t&eacute; modifi&eacute;"
                );
                else $env->erreur("Impossible de modifier l'album");
              }
              else $env->message("merci de pr&eacute;ciser un nom pour le groupe");
            }
          }
          else
          { $album["image"] = $album["image"] ? $_SESSION["upload_dir"]."/".$album["image"] : "";
            $env->set_out("album", $album);
          }
        }
        else $env->erreur("Impossible de lire les informations de l'album");
      }
      else $env->erreur("Impossible de creer le repertoire utilisateur");
    }

    function del(&$env)
    { $data = $env->data();
      if($data->del_source($this->album["id"]))
      { $env->redirect
        ( $env->url("users/albums"),
          "l'album a &eacute;t&eacute; supprim&eacute;"
        );
      }
      else $env->erreur("Impossible de supprimer l'album");
    }

  }

?>