# SQLiteManager Dump
# Version: 1.2.0
# http://www.sqlitemanager.org/
#
# Serveur: localhost
# Généré le: Sunday 25th 2010f July 2010 05:16 pm
# SQLite Version: 2.8.17
# PHP Version: 5.2.10-2ubuntu6.4
# Base de données: sources-ml_base.sqlite
# --------------------------------------------------------

#
# Structure de la table: sml_action_status
#
CREATE TABLE "sml_action_status" ( "action" VARCHAR NOT NULL, "id_status" INTEGER NOT NULL, PRIMARY KEY ("action","id_status") );

#
# Contenu de la table: sml_action_status
#
INSERT INTO sml_action_status VALUES ('admin', '1');
# --------------------------------------------------------


#
# Structure de la table: sml_categories
#
CREATE TABLE "sml_categories" ( "id" INTEGER NOT NULL, "parent" INTEGER DEFAULT NULL, "nom" VARCHAR DEFAULT NULL, "code" VARCHAR DEFAULT NULL, PRIMARY KEY ("id") );

#
# Contenu de la table: sml_categories
#
# --------------------------------------------------------


#
# Structure de la table: sml_groupes
#
CREATE TABLE "sml_groupes" ( "id" INTEGER NOT NULL, "id_user" INTEGER NOT NULL DEFAULT 0, "nom" VARCHAR NOT NULL DEFAULT '', "description" TEXT, PRIMARY KEY ("id") );

#
# Contenu de la table: sml_groupes
#
# --------------------------------------------------------


#
# Structure de la table: sml_infos
#
CREATE TABLE "sml_infos" ( "element" VARCHAR NOT NULL DEFAULT '', "id_element" INTEGER NOT NULL DEFAULT '0', "key" VARCHAR NOT NULL DEFAULT '', "value" text, "type" VARCHAR DEFAULT NULL, PRIMARY KEY ("element","id_element","key") );

#
# Contenu de la table: sml_infos
#
INSERT INTO sml_infos VALUES ('', '0', 'site_name', 'sources-ml', NULL);
INSERT INTO sml_infos VALUES ('', '0', 'max_list', '10', NULL);
INSERT INTO sml_infos VALUES ('', '0', 'description', NULL, NULL);
INSERT INTO sml_infos VALUES ('', '0', 'out', 'dist', NULL);
# --------------------------------------------------------


#
# Structure de la table: sml_licences
#
CREATE TABLE "sml_licences" ( "id" INTEGER NOT NULL, "nom" VARCHAR NOT NULL DEFAULT '', "url" VARCHAR DEFAULT NULL, PRIMARY KEY ("id") );

#
# Contenu de la table: sml_licences
#
# --------------------------------------------------------


#
# Structure de la table: sml_source_categories
#
CREATE TABLE "sml_source_categories" ( "id_source" INTEGER NOT NULL, "id_categorie" INTEGER NOT NULL, PRIMARY KEY ("id_source","id_categorie") );

#
# Contenu de la table: sml_source_categories
#
# --------------------------------------------------------


#
# Structure de la table: sml_source_compositions
#
CREATE TABLE "sml_source_compositions" ( "id_source" INTEGER NOT NULL, "id_composition" INTEGER NOT NULL, PRIMARY KEY ("id_source","id_composition") );

#
# Contenu de la table: sml_source_compositions
#
# --------------------------------------------------------


#
# Structure de la table: sml_source_status
#
CREATE TABLE "sml_source_status" ( "id" INTEGER NOT NULL, "nom" VARCHAR NOT NULL DEFAULT '', PRIMARY KEY ("id") );

#
# Contenu de la table: sml_source_status
#
# --------------------------------------------------------


#
# Structure de la table: sml_source_status_composition
#
CREATE TABLE "sml_source_status_composition" ( "id_source_status" INTEGER NOT NULL, "id_source_status_composition" INTEGER NOT NULL, "required" INTEGER NOT NULL DEFAULT '0', PRIMARY KEY ("id_source_status","id_source_status_composition") );

#
# Contenu de la table: sml_source_status_composition
#
# --------------------------------------------------------


#
# Structure de la table: sml_sources
#
CREATE TABLE sml_sources ( id INTEGER NOT NULL PRIMARY KEY, id_groupe INTEGER , nom VARCHAR, url VARCHAR, licence INTEGER, reference VARCHAR, status INTEGER );

#
# Contenu de la table: sml_sources
#
# --------------------------------------------------------


#
# Structure de la table: sml_user_status
#
CREATE TABLE sml_user_status ( id INTEGER NOT NULL PRIMARY KEY, nom VARCHAR NOT NULL, creation_default INTEGER NOT NULL DEFAULT '0' );

#
# Contenu de la table: sml_user_status
#
INSERT INTO sml_user_status VALUES ('1', 'admin', '0');
INSERT INTO sml_user_status VALUES ('2', 'membre', '1');
# --------------------------------------------------------


#
# Structure de la table: sml_users
#
CREATE TABLE "sml_users" ( "id" INTEGER NOT NULL, "login" VARCHAR NOT NULL UNIQUE, "password" VARCHAR NOT NULL, "email" VARCHAR NOT NULL, "status" INTEGER NOT NULL DEFAULT '0', PRIMARY KEY ("id") );

#
# Contenu de la table: sml_users
#
INSERT INTO sml_users VALUES ('3', 'user', '96ef04740e7c7dd411c04d5102482333', 'source@tazic.com', '1');
# --------------------------------------------------------


#
# Propriété de la fonction: md5rev
#
/*
function md5_and_reverse($string) { return strrev(md5($string)); }
*/

#
# Propriété de la fonction: IF
#
/*
function sqliteIf($compare, $good, $bad){ if ($compare) { return $good; } else { return $bad; } }
*/