<?php

  class sml_data_sources_xml_content extends sml_data
  {

    var $status;
    var $source;
    var $groupe;
    var $licence;
    var $sources;

    function source_xml_content($id, $params = array())
    { $env = $this->env();
      $content = false;
      $this->status = isset($this->status) ? $this->status : $this->source_status();
      if($this->status !== false)
      { $this->source = isset($params["source"]) ? $params["source"] : $this->source($id);
        if($this->source !== false)
        { $this->groupe = isset($params["groupe"]) ? $params["groupe"] : $this->groupe($this->source["id_groupe"]);
          if($this->groupe !== false)
          { $this->licence = isset($params["licence"]) ? $params["licence"] : $this->licence($this->source["licence"]);
            if($this->licence !== false)
            { if(($this->sources = $this->source_compositions(array("id_composition" => $id))) !== false)
              { if($this->source["reference"])
                { $content =
                   "<source>\n"
                  ."  <reference><![CDATA[".$this->source["nom"]."]]></titre>\n"
                  ."</source>";
                }
                else
                { $content =
                   "<source>\n"
                  ."  <titre><![CDATA[".$this->source["nom"]."]]></titre>\n"
                  ."  <auteur><![CDATA[".$this->groupe["nom"]."]]></auteur>\n"
                  ."  <from><![CDATA[http://".$_SERVER["SERVER_NAME"].$env->url("sources/".$this->status[$this->source["status"]]["nom"]."/view", array($this->status[$this->source["status"]]["nom"] => $id))."]]></from>\n";
                  foreach($this->source["documents"] as $id_document => $document)
                  { $content .=
                     "  <document>\n"
                    ."    <nom><![CDATA[".$document["nom"]."]]></nom>\n"
                    ."    <url><![CDATA[".$document["url"]."]]></url>\n"
                    ."  </document>\n";
                  }
                  if($this->licence != 0)
                  { $content .=
                     "  <licence url=\"".$this->licence["url"]."\"><![CDATA[".$this->licence["nom"]."]]></licence>\n";
                  }
                  if(isset($this->sources[$id]))
                  { foreach($this->sources[$id] as $id_source)
                    { $content .= "  <source src=\"".$this->source_xml_url($id_source)."\" />\n";
                    }
                  }
                  $content .=
                   "</source>";
                }
              }
            }
          }
        }
      }
      return $content;
    }

    function source_xml_read($url)
    { $source = array
      ( "licence" => array(),
        "documents" => array()
      );
      if($this->buffer = @file_get_contents($url))
      { if(!isset($this->sxml)) $this->sxml = new sxml();
        $this->sxml->parse($this->buffer);
        $this->buffer = $this->sxml->data["source"][0];
        foreach($this->buffer["subs"] as $key => $value)
        { if($key == "document")
          { foreach($value as $id_document => $document)
            { $source["documents"][$id_document] = array
              ( "nom" => $document["subs"]["nom"][0]["data"],
                "url" => $document["subs"]["url"][0]["data"]
              );
            }
          }
          elseif($key == "licence")
          { $source["licence"] = array
            ( "nom" => $value[0]["data"],
              "url" => $value[0]["attrs"]["url"]
            );
          }
          else
          { $source[$key] = $value[0]["data"];
          }
        }
      }
      else return false;
      return $source;
    }

  }

?>