<?php

  $current_groupe = null;
  foreach($this->out["groupes"]["list"] as $id_groupe => $groupe)
  { if($this->out["morceau"]["id_groupe"] == $id_groupe) $current_groupe = $id_groupe;
  }

  $albums = array();
  if($_GET[$this->param("groupe")] && is_array($this->out["albums"][$_GET[$this->param("groupe")]]))
  { foreach($this->out["albums"][$_GET[$this->param("groupe")]] as $id_album => $album)
    { $albums[$id_album] = $album;
    }
  }
  else
  { foreach($this->out["albums"] as $id_groupe => $_albums)
    { foreach($this->out["albums"][$id_groupe] as $id_album => $album)
      { $albums[$id_album] = $album;
      }
    }
  }

?>

<h2>Morceaux</h2>

<ul class="admin">
  <li><a href="<?= $this->url("users/morceaux/add") ?>">Nouveau morceau</a></li>
</ul>

<?php if($this->out["groupes"]["total"] > 0 || $this->out["albums"]["total"] > 0) : ?>

<ul class="admin">
  <li>Afficher les morceaux</li>  
<?php if($this->out["groupes"]["total"] > 0) : ?>
  <li>
    pour
    <select onchange="document.location=this.options[this.selectedIndex].value;">
      <option value="<?= $this->url("users/morceaux") ?>"<?= $_GET[$this->param("groupe")] == "0" ? " selected=\"selected\"" : "" ?>>Tous les groupes</option>
      <?php foreach($this->out["groupes"]["list"] as $id_groupe => $groupe) : ?>
      <option value="<?= $this->url("users/morceaux", array("groupe" => $id_groupe)) ?>"<?= $_GET[$this->param("groupe")] == $id_groupe ? " selected=\"selected\"" : "" ?>><?= $groupe["nom"] ?></option>
      <?php endforeach; ?>
    </select>
  </li>
<?php endif; ?>
<?php if($albums) : ?>
  <li>
    <span id="album_select">
    <select onchange="document.location=this.options[this.selectedIndex].value;">
      <option value="<?= $this->url("users/morceaux") ?>"<?= $_GET[$this->param("album")] == "0" ? " selected=\"selected\"" : "" ?>>Tous les albums</option>
      <?php foreach($albums as $id_album => $album) : ?>
      <option value="<?= $this->url("users/morceaux", array("album" => $id_album)) ?>"<?= $_GET[$this->param("album")] == $id_album ? " selected=\"selected\"" : "" ?>><?= $album["reference"] ? $album["reference_content"]["titre"] : $album["nom"] ?></option>
      <?php endforeach; ?>
    </select>
    </span>
  </li>
<?php endif; ?>
</ul>

<?php endif; ?>

<?php if($this->out["morceaux"]["list"]) : ?>

<?php $items = "morceaux"; $legend = "morceaux"; require $this->out_file("views/navig.php"); ?>

<?php

  $get_params = array();
  if(isset($_GET[$this->param("groupe")]) && $_GET[$this->param("groupe")]) $get_params["groupe"] = $_GET[$this->param("groupe")];
  if(isset($_GET[$this->param("album")]) && $_GET[$this->param("album")]) $get_params["album"] = $_GET[$this->param("album")];

?>
<form name="sources_form" action="<?= $this->url("users/morceaux", $get_params) ?>" method="post">
<table class="admin">
  <tr>
    <th>nom</th>
    <th>ordre</th>
    <th align="center" colspan="2">actions</th>
  </tr>
<?php foreach($this->out["morceaux"]["list"] as $id_morceau => $morceau) : ?>
  <tr class="hl">
    <td>
<?php if($morceau["reference"]) : ?>
      <?= $morceau["reference_content"]["titre"] ?> <span>[ r&eacute;f&eacute;rence &raquo; <a href="<?= $morceau["reference_content"]["from"] ?>"><?= $morceau["reference_content"]["auteur"] ?></a> ]</span>
<?php else : ?>
      <?= $morceau["nom"] ?>
<?php endif; ?>
    </td>
    <td class="action"><input type="text" name="ordre_<?= $id_morceau ?>" value="<?= isset($morceau["ordre"]) ? $morceau["ordre"] : 0 ?>" size="3" /></td>
    <td class="action">
    <a href="<?= $this->url("users/morceaux/edit", array("id" => $id_morceau)) ?>"
       class="admin_link"
       title="modifier ce morceau"><img src="<?= $this->out_file("icons/edit.gif") ?>" /></a>
    </td>
    <td class="action">
    <a href="<?= $this->url("users/morceaux/del", array("id" => $id_morceau)) ?>"
       class="admin_link"
       title="supprimer ce morceau"><img src="<?= $this->out_file("icons/del.gif") ?>"
       onclick="return confirm('Supprimer ce morceau ?')"/></a>
    </td>
  </tr>
<?php endforeach; ?>
</table>
  <ul class="form">
    <li class="buttons">
      <input type="submit" value="Enregistrer l'ordre" />
    </li>
  </ul>
</form>

<?php $items = "morceaux"; $legend = "morceaux"; require $this->out_file("views/navig.php"); ?>

<?php else : ?>
<p>Aucun morceau pour le moment</p>
<?php endif; ?>
